Public Class Zutrittskontrolle

    Private Sub Zutrittskontrolle_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load



    End Sub

    Private Sub txDataPath_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txZKDataPath.TextChanged

    End Sub

    Private Sub ZKSetupPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ZKSetupPfad.Click

        ' Hier whlen wir ein zu bertragendes Setup aus
        m_sZKSetupFile = String.Empty
        With FileDialog
            .FileName = ""
            .CheckFileExists = True : .CheckPathExists = True
            .Filter = "MasterIV Gertedatei (*.aes)|*.aes|" & _
                      "All Files (*.*)|*.*"
            .Multiselect = False : .ReadOnlyChecked = False
            .RestoreDirectory = True : .ShowHelp = False
            .Title = "Select Setup-File - DFComLL Sample."
            .ShowDialog(Me)
            m_sZKSetupPath = .FileName.Substring(0, (.FileName.LastIndexOf("\") + 1))
            m_sZKSetupFile = .FileName.ToString().Trim()
        End With

        txZKSetupFile.Text = m_sZKSetupFile

    End Sub

    Private Sub ZKListenPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ZKListenPfad.Click

        ' Hier geben wir den Listenpfad an
        m_sZKListPath = String.Empty
        With FolderBrowser

            .ShowDialog(Me)
            m_sZKListPath = .SelectedPath()
        End With
        txZKListPath.Text = m_sZKListPath

    End Sub

    Private Sub ZKDatenPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ZKDatenPfad.Click

        ' Hier geben wir den Datenpfad an
        m_sZKDataPath = String.Empty
        With FolderBrowser

            .ShowDialog(Me)
            m_sZKDataPath = .SelectedPath()
        End With
        txZKDataPath.Text = m_sZKDataPath


    End Sub

    Private Sub ZKListenEditPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ZKListenEditPfad.Click

        RichDataBox.Text = ""

        ' Welche Liste soll bearbeitet werden
        m_sZKListEditPath = String.Empty
        With FileDialog
            .FileName = ""
            .CheckFileExists = True : .CheckPathExists = True
            .Filter = "Listendaten (*.txt)|*.txt|" & _
                      "All Files (*.*)|*.*"
            .Multiselect = False : .ReadOnlyChecked = False
            .RestoreDirectory = True : .ShowHelp = False
            .Title = "Select List-File - DFComLL Sample."
            .ShowDialog(Me)
            m_sZKListEditPath = .FileName.ToString().Trim()
        End With
        txZKListEditPath.Text = m_sZKListEditPath

        ' Inhalt der Liste in die RichTextBox laden
        If Not (m_sZKListEditPath = "") Then
            Using sr As IO.StreamReader = New IO.StreamReader(m_sZKListEditPath, System.Text.Encoding.Default)
                Dim line As String
                ' Hier lesen wir Zeilenweise den Inhalt der Datei
                Do
                    line = sr.ReadLine()
                    If Not (line Is Nothing) Then
                        RichDataBox.AppendText(line)
                        RichDataBox.AppendText(vbCrLf)
                    End If
                Loop Until line Is Nothing
                sr.Close()
            End Using
        End If
        ' Inhalt der Liste in die RichTextBox laden

    End Sub

    Private Sub btSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btSave.Click

        ' Hier speichern wir die nderungen
        RichDataBox.SaveFile(m_sZKListEditPath, RichTextBoxStreamType.PlainText)
        RichDataBox.Text = ""

    End Sub
End Class